# PSF-LoginServer - master - net.psforever.objects.geometry.GeometryForm
PSF - LoginServer - master - net.psforever.objects.geometry.GeometryForm
Keywords: PSF LoginServer master net.psforever.objects.geometry.GeometryForm

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  package d2
  Definition Classes
    geometry
-  package d3
  Definition Classes
    geometry
- AxisAlignment
- AxisAlignment2D
- AxisAlignment3D
- Geometry
- GeometryForm
- Line
- Point
- PrimitiveGeometry
- Segment
- Slope

o

net.psforever.objects.geometry

# GeometryForm

###

#### object GeometryForm

Source
  GeometryForm.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GeometryForm
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  lazy val invalidCylinder: Cylinder

    this cylinder can not be used for purposes of geometric representation

12.  lazy val invalidPoint: d3.Point

    this point can not be used for purposes of geometric representation

13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def representByCylinder(radius: Float, height: Float)(o: Any): VolumetricGeometry

    The geometric representation is a cylinder around the entity's base.

    The geometric representation is a cylinder around the entity's base.

    radius

      half the distance across

    height

      how tall the cylinder is (the distance of the top to the base)

    o

      the entity

    returns

      the representation

18.  def representByPoint()(o: Any): VolumetricGeometry

    The geometric representation is the entity's centroid.

    The geometric representation is the entity's centroid.

    o

      the entity

    returns

      the representation

19.  def representByRaisedSphere(radius: Float)(o: Any): VolumetricGeometry

    The geometric representation is a sphere around the entity's centroid positioned following the axis of rotation (the entity's base).

    The geometric representation is a sphere around the entity's centroid positioned following the axis of rotation (the entity's base).

    radius

      how wide a hemisphere is

    o

      the entity

    returns

      the representation

20.  def representBySphere(radius: Float)(o: Any): VolumetricGeometry

    The geometric representation is a sphere using a position as the entity's centroid and all points exist a distance from that point.

    The geometric representation is a sphere using a position as the entity's centroid and all points exist a distance from that point.

    radius

      how wide a quarter-sphere is

    o

      the entity

    returns

      the representation

21.  def representBySphereOnBase(radius: Float)(o: Any): VolumetricGeometry

    The geometric representation is a sphere using a position as the entity's base (foot position) and the centroid is located just above it a fixed distance.

    The geometric representation is a sphere using a position as the entity's base (foot position) and the centroid is located just above it a fixed distance. All points exist a distance from that centroid.

    radius

      how wide a quarter-sphere is

    o

      the entity

    returns

      the representation

22.  def representHoveringEntityByCylinder(radius: Float, height: Float, hoversAt: Float)(o: Any): VolumetricGeometry

    The geometric representation is a cylinder around the entity's base as if the target is displaced from the ground at an expected (fixed?) distance.

    The geometric representation is a cylinder around the entity's base as if the target is displaced from the ground at an expected (fixed?) distance.

    radius

      half the distance across

    height

      how tall the cylinder is (the distance of the top to the base)

    hoversAt

      how far off the base coordinates the actual cylinder begins

    o

      the entity

    returns

      the representation

23.  def representPlayerByCylinder(radius: Float)(o: Any): VolumetricGeometry

    The geometric representation is a cylinder around the entity's base if the target represents a player entity.

    The geometric representation is a cylinder around the entity's base if the target represents a player entity.

    radius

      a measure of the player's bulk

    o

      the entity

    returns

      the representation

24.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped